| Kea 3.0.2-git

isc::agent::HttpSocketInfo Struct Reference

Structure used to store HTTP/HTTPS connection data. More...

`#include <ca_process.h>`

## Public Member Functions
| HttpSocketInfo ()
| Constructor.
| ~HttpSocketInfo ()=default
| Destructor.

## Public Attributes
CtrlAgentCfgContextPtr | config_
| Pointer to the socket config.
isc::http::HttpListenerPtr | listener_
| Pointer to HTTP/HTTPS listener.
bool | usable_
| Flag which indicates if socket can be reused.

## Detailed Description

Structure used to store HTTP/HTTPS connection data.

(configuration, listener, etc.)

Definition at line 20 of file ca_process.h.

## Constructor & Destructor Documentation

## ◆ HttpSocketInfo()

isc::agent::HttpSocketInfo::HttpSocketInfo | ( |  | ) |
| inline

Constructor.

Definition at line 31 of file ca_process.h.

References usable_.

## ◆ ~HttpSocketInfo()

isc::agent::HttpSocketInfo::~HttpSocketInfo | ( |  | ) |
| default

Destructor.

## Member Data Documentation

## ◆ config_

CtrlAgentCfgContextPtr isc::agent::HttpSocketInfo::config_

Pointer to the socket config.

Definition at line 25 of file ca_process.h.

## ◆ listener_

isc::http::HttpListenerPtr isc::agent::HttpSocketInfo::listener_

Pointer to HTTP/HTTPS listener.

Definition at line 28 of file ca_process.h.

## ◆ usable_

bool isc::agent::HttpSocketInfo::usable_

Flag which indicates if socket can be reused.

Definition at line 22 of file ca_process.h.

Referenced by HttpSocketInfo().

The documentation for this struct was generated from the following file:

- ca_process.h